NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ThroughCurveMeshBuilder Class Reference

Represents a NXOpen::Features::ThroughCurveMesh builder. More...

Inheritance diagram for NXOpen::Features::ThroughCurveMeshBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BodyPreferenceTypes { BodyPreferenceTypesSolid, BodyPreferenceTypesSheet }
 This enum represents the body type option. More...
 
enum  ConstructionMethod { ConstructionMethodNormal, ConstructionMethodSplinePoints, ConstructionMethodSimple }
 This enum represents the Construction options. More...
 
enum  EmphasisType { EmphasisTypeBoth, EmphasisTypePrimary, EmphasisTypeCross }
 This enum represents the Emphasis options. More...
 

Public Member Functions

NXOpen::Features::ThroughCurveMeshBuilder::BodyPreferenceTypes BodyPreference ()
 Returns the body type options
Created in NX7.5.0. More...
 
NXOpen::Features::ThroughCurveMeshBuilder::ConstructionMethod Construction ()
 Returns the construction options. More...
 
NXOpen::SectionListCrossCurvesList ()
 Returns the cross curves list which is required. More...
 
NXOpen::GeometricUtilities::RebuildCrossSurfaceRebuildData ()
 Returns the cross surface rebuild data, NXOpen::GeometricUtilities::Rebuild . More...
 
NXOpen::SectionCrossTemplateString ()
 Returns the cross template curve. More...
 
double CurvatureTolerance ()
 Returns the curvature tolerance. More...
 
NXOpen::Features::ThroughCurveMeshBuilder::EmphasisType Emphasis ()
 Returns the emphasis options. More...
 
NXOpen::GeometricUtilities::ContinuityFirstCrossContinuity ()
 Returns the first cross continuity, NXOpen::GeometricUtilities::Continuity . More...
 
NXOpen::GeometricUtilities::ContinuityFirstPrimaryContinuity ()
 Returns the first primary continuity, NXOpen::GeometricUtilities::Continuity . More...
 
double IntersectionTolerance ()
 Returns the intersection tolerance. More...
 
NXOpen::GeometricUtilities::ContinuityLastCrossContinuity ()
 Returns the last cross continuity, NXOpen::GeometricUtilities::Continuity . More...
 
NXOpen::GeometricUtilities::ContinuityLastPrimaryContinuity ()
 Returns the last primary continuity, NXOpen::GeometricUtilities::Continuity . More...
 
double PositionTolerance ()
 Returns the position tolerance. More...
 
NXOpen::SectionListPrimaryCurvesList ()
 Returns the primary curves list which is required. More...
 
NXOpen::GeometricUtilities::RebuildPrimarySurfaceRebuildData ()
 Returns the primary surface rebuild data, NXOpen::GeometricUtilities::Rebuild . More...
 
NXOpen::SectionPrimaryTemplateString ()
 Returns the primary template curve. More...
 
void SetBodyPreference (NXOpen::Features::ThroughCurveMeshBuilder::BodyPreferenceTypes bodyPreference)
 Sets the body type options
Created in NX7.5.0. More...
 
void SetConstruction (NXOpen::Features::ThroughCurveMeshBuilder::ConstructionMethod construction)
 Sets the construction options. More...
 
void SetCurvatureTolerance (double tolerance)
 Sets the curvature tolerance. More...
 
void SetEmphasis (NXOpen::Features::ThroughCurveMeshBuilder::EmphasisType emphasis)
 Sets the emphasis options. More...
 
void SetIntersectionTolerance (double tolerance)
 Sets the intersection tolerance. More...
 
void SetPositionTolerance (double tolerance)
 Sets the position tolerance. More...
 
void SetTangentTolerance (double tolerance)
 Sets the tangent tolerance. More...
 
NXOpen::SectionSpine ()
 Returns the spine. More...
 
double TangentTolerance ()
 Returns the tangent tolerance. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ThroughCurveMesh builder.

Let you create a body from a collection of existing curve outlines (known as strings) running in two different directions.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateThroughCurveMeshBuilder
Default values.

Property Value

Construction

Normal

CrossSurfaceRebuildData.RebuildType

None

CurvatureTolerance

0.5

Emphasis

Both

FirstCrossContinuity.ContinuityType

G0

FirstPrimaryContinuity.ContinuityType

G0

IntersectionTolerance

0.02

LastCrossContinuity.ContinuityType

G0

LastPrimaryContinuity.ContinuityType

G0

PositionTolerance

0.0254 (millimeters part), 0.001 (inches part)

PrimarySurfaceRebuildData.RebuildType

None

TangentTolerance

0.5


Created in NX5.0.0.

Member Enumeration Documentation

This enum represents the body type option.

If sections are all closed, if possible then a solid body can be created.

Enumerator
BodyPreferenceTypesSolid 

Solid.

BodyPreferenceTypesSheet 

Sheet.

This enum represents the Construction options.

Enumerator
ConstructionMethodNormal 

Use the standard procedures.

ConstructionMethodSplinePoints 

Use the points and tangent values at the points for reparameterizing curves.

ConstructionMethodSimple 

Build the simplest curve mesh surface possible.

This enum represents the Emphasis options.

Enumerator
EmphasisTypeBoth 

Emphasis on both primary and cross strings.

EmphasisTypePrimary 

Emphasis on primary strings.

EmphasisTypeCross 

Emphasis on cross strings.

Member Function Documentation

NXOpen::Features::ThroughCurveMeshBuilder::BodyPreferenceTypes NXOpen::Features::ThroughCurveMeshBuilder::BodyPreference ( )

Returns the body type options
Created in NX7.5.0.



License requirements : None

NXOpen::Features::ThroughCurveMeshBuilder::ConstructionMethod NXOpen::Features::ThroughCurveMeshBuilder::Construction ( )

Returns the construction options.

Use one of three construction options when you create a Through Curve Mesh feature: Normal, Use Spline Points, and Simple.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::SectionList* NXOpen::Features::ThroughCurveMeshBuilder::CrossCurvesList ( )

Returns the cross curves list which is required.

They should all be roughly parallel and run in approximately one direction. A point could be selected as the first and/or last primary string.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::ThroughCurveMeshBuilder::CrossSurfaceRebuildData ( )

Returns the cross surface rebuild data, NXOpen::GeometricUtilities::Rebuild .

Redefine the degree and knot points of the cross strings to build a surface that joins smoothly with surrounding surfaces. It is only available for the Normal Construction option.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Section* NXOpen::Features::ThroughCurveMeshBuilder::CrossTemplateString ( )

Returns the cross template curve.

Control the building of the simple surface in cross curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::ThroughCurveMeshBuilder::CurvatureTolerance ( )

Returns the curvature tolerance.

Control the curvature tolerance of the rebuild surface in relation to the input curves.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Features::ThroughCurveMeshBuilder::EmphasisType NXOpen::Features::ThroughCurveMeshBuilder::Emphasis ( )

Returns the emphasis options.

Allow you to tell the system which set of strings will have the most effect on the created surface in both location and shape.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::ThroughCurveMeshBuilder::FirstCrossContinuity ( )

Returns the first cross continuity, NXOpen::GeometricUtilities::Continuity .

Define continuity constraint at the first cross sections side. It contains the continuity type and the constraint face.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::ThroughCurveMeshBuilder::FirstPrimaryContinuity ( )

Returns the first primary continuity, NXOpen::GeometricUtilities::Continuity .

Define continuity constraint at the first primary sections side. It contains the continuity type and the constraint face.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::ThroughCurveMeshBuilder::IntersectionTolerance ( )

Returns the intersection tolerance.

Define how far the primary strings and cross strings can deviate from each other.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::ThroughCurveMeshBuilder::LastCrossContinuity ( )

Returns the last cross continuity, NXOpen::GeometricUtilities::Continuity .

Define continuity constraint at the first cross sections side. It contains the continuity type and the constraint face.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::ThroughCurveMeshBuilder::LastPrimaryContinuity ( )

Returns the last primary continuity, NXOpen::GeometricUtilities::Continuity .

Define continuity constraint at the last primary sections side. It contains the continuity type and the constraint face.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::ThroughCurveMeshBuilder::PositionTolerance ( )

Returns the position tolerance.

Control the distance accuracy of the rebuild surface in relation to the input curves.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::SectionList* NXOpen::Features::ThroughCurveMeshBuilder::PrimaryCurvesList ( )

Returns the primary curves list which is required.

They should all be roughly parallel and run in approximately one direction. A point could be selected as the first and/or last primary string.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::ThroughCurveMeshBuilder::PrimarySurfaceRebuildData ( )

Returns the primary surface rebuild data, NXOpen::GeometricUtilities::Rebuild .

Redefine the degree and knot points of the primary strings to build a surface that joins smoothly with surrounding surfaces. It is only available for the Normal Construction option.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Section* NXOpen::Features::ThroughCurveMeshBuilder::PrimaryTemplateString ( )

Returns the primary template curve.

Control the building of the simple surface in primary curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

void NXOpen::Features::ThroughCurveMeshBuilder::SetBodyPreference ( NXOpen::Features::ThroughCurveMeshBuilder::BodyPreferenceTypes  bodyPreference)

Sets the body type options
Created in NX7.5.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
bodyPreferencebodypreference
void NXOpen::Features::ThroughCurveMeshBuilder::SetConstruction ( NXOpen::Features::ThroughCurveMeshBuilder::ConstructionMethod  construction)

Sets the construction options.

Use one of three construction options when you create a Through Curve Mesh feature: Normal, Use Spline Points, and Simple.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
constructionconstruction
void NXOpen::Features::ThroughCurveMeshBuilder::SetCurvatureTolerance ( double  tolerance)

Sets the curvature tolerance.

Control the curvature tolerance of the rebuild surface in relation to the input curves.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolerancetolerance
void NXOpen::Features::ThroughCurveMeshBuilder::SetEmphasis ( NXOpen::Features::ThroughCurveMeshBuilder::EmphasisType  emphasis)

Sets the emphasis options.

Allow you to tell the system which set of strings will have the most effect on the created surface in both location and shape.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
emphasisemphasis
void NXOpen::Features::ThroughCurveMeshBuilder::SetIntersectionTolerance ( double  tolerance)

Sets the intersection tolerance.

Define how far the primary strings and cross strings can deviate from each other.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolerancetolerance
void NXOpen::Features::ThroughCurveMeshBuilder::SetPositionTolerance ( double  tolerance)

Sets the position tolerance.

Control the distance accuracy of the rebuild surface in relation to the input curves.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolerancetolerance
void NXOpen::Features::ThroughCurveMeshBuilder::SetTangentTolerance ( double  tolerance)

Sets the tangent tolerance.

Control the angle accuracy of the rebuild surface in relation to the input curves.It is expressed in degree.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolerancetolerance
NXOpen::Section* NXOpen::Features::ThroughCurveMeshBuilder::Spine ( )

Returns the spine.

Control the parameterization of the cross strings. It is valid only if both the first and last primary strings are planar and this spine string is perpendicular to the first and last primary strings
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::ThroughCurveMeshBuilder::TangentTolerance ( )

Returns the tangent tolerance.

Control the angle accuracy of the rebuild surface in relation to the input curves.It is expressed in degree.
Created in NX5.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.